---
type: api
title: Resync streams
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-post-streams-resync
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-post-streams-resync
products:
  - Kibana
---

# Resync streams

Availability:

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/streams/_resync`
- `POST` `/s/{space_id}/api/streams/_resync`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/authentication#apikeyauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Resyncs all streams, making sure that Elasticsearch assets are up to date<br/><br/>[Required authorization] Route required privileges: manage_stream.

## Request Body

`application/json`

Any of:
- **object**
- **object**

## Response

Streams were resynced successfully.

## Code Examples

#### Console

```console
POST /api/streams/_resync
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/streams/_resync" \
  -H "kbn-xsrf: true"
```

